Permalink
Browse files

mkvtoolnix: Adjusting the DEPENDS, it will compile with qt4. Unless t…

…his box is borked

in some way I am unable to determine; ./drake -j $ANYTHNG will fail with a seg fault. Got
the same problem running it from cli.
  • Loading branch information...
1 parent a6d222b commit 211a505ddd4bd89b438ae7c0eed413780110ee9e stumbles committed Jan 20, 2013
Showing with 5 additions and 8 deletions.
  1. +1 −4 video/mkvtoolnix/BUILD
  2. +4 −4 video/mkvtoolnix/DEPENDS
@@ -1,15 +1,12 @@
(
-# If you choose the qt4 GUI then ./configure craps out with -j
-# $MAKES but works fine if you say no to qt4 GUI.
if in_depends $MODULE qt4 ; then
- sedit "s:ui/mainwindow.h:ui/mainwindow.ui:" src/info/qt_ui.h &&
. /etc/profile.d/qt4.rc &&
default_config &&
./drake
else
default_config &&
- ./drake -j ${MAKES:-1}
+ ./drake
fi &&
prepare_install &&
@@ -23,10 +23,10 @@ optional_depends "boost" \
"--without-boost" \
"for boost support"
-#optional_depends "qt4" \
-# "--enable-qt --enable-gui" \
-# "--disable-qt" \
-# "for Qt based GUI"
+optional_depends "qt4" \
+ "--enable-qt --enable-gui" \
+ "--disable-qt" \
+ "for Qt based GUI"
optional_depends "wxGTK" \
"--enable-wxwidgets --enable-gui" \

0 comments on commit 211a505

Please sign in to comment.